Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(67)

Issue 18328007: Move SVGTests attributes parsing to SVGGraphicsElement (Closed)

Created:
7 years, 8 months ago by do-not-use
Modified:
7 years, 8 months ago
Reviewers:
Stephen Chennney, krit, pdr.
CC:
blink-reviews, pdr, eae+blinkwatch, Stephen Chennney, f(malita), dglazkov+blink, lgombos, haraken
Visibility:
Public.

Description

Move SVGTests attributes parsing to SVGGraphicsElement Move SVGTests attributes parsing to SVGGraphicsElement instead of doing this in each of its subclasses. SVGGraphicsElement is now the one subclassing SVGTests after r153166. BUG=256618 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=153459

Patch Set 1 #

Patch Set 2 : Fix mac/win compilation #

Patch Set 3 : Rebase on master #

Total comments: 1

Patch Set 4 : Fix issue in SVGSVGElement::svgAttributeChanged() #

Unified diffs Side-by-side diffs Delta from patch set Stats (+19 lines, -79 lines) Patch
M Source/core/svg/SVGAElement.cpp View 2 chunks +0 lines, -3 lines 0 comments Download
M Source/core/svg/SVGCircleElement.cpp View 3 chunks +1 line, -6 lines 0 comments Download
M Source/core/svg/SVGClipPathElement.cpp View 2 chunks +0 lines, -3 lines 0 comments Download
M Source/core/svg/SVGEllipseElement.cpp View 3 chunks +1 line, -6 lines 0 comments Download
M Source/core/svg/SVGForeignObjectElement.cpp View 3 chunks +1 line, -6 lines 0 comments Download
M Source/core/svg/SVGGElement.cpp View 3 chunks +0 lines, -6 lines 0 comments Download
M Source/core/svg/SVGGraphicsElement.cpp View 1 2 3 chunks +8 lines, -1 line 0 comments Download
M Source/core/svg/SVGImageElement.cpp View 3 chunks +1 line, -6 lines 0 comments Download
M Source/core/svg/SVGLineElement.cpp View 3 chunks +1 line, -6 lines 0 comments Download
M Source/core/svg/SVGPathElement.cpp View 3 chunks +0 lines, -6 lines 0 comments Download
M Source/core/svg/SVGPolyElement.cpp View 3 chunks +0 lines, -6 lines 0 comments Download
M Source/core/svg/SVGRectElement.cpp View 3 chunks +1 line, -6 lines 0 comments Download
M Source/core/svg/SVGSVGElement.cpp View 1 2 3 4 chunks +3 lines, -6 lines 0 comments Download
M Source/core/svg/SVGTextContentElement.cpp View 1 2 3 chunks +1 line, -6 lines 0 comments Download
M Source/core/svg/SVGUseElement.cpp View 3 chunks +1 line, -6 lines 0 comments Download

Messages

Total messages: 13 (0 generated)
do-not-use
7 years, 8 months ago (2013-07-01 12:33:28 UTC) #1
Stephen Chennney
The Mac and Windows builds are failing for good reason. Please fix before I review. ...
7 years, 8 months ago (2013-07-01 13:35:05 UTC) #2
do-not-use
On 2013/07/01 13:35:05, Stephen Chenney wrote: > The Mac and Windows builds are failing for ...
7 years, 8 months ago (2013-07-01 13:37:41 UTC) #3
do-not-use
On 2013/07/01 13:37:41, cdumez wrote: > On 2013/07/01 13:35:05, Stephen Chenney wrote: > > The ...
7 years, 8 months ago (2013-07-01 13:42:17 UTC) #4
do-not-use
Corresponding WebKit patch: https://bugs.webkit.org/show_bug.cgi?id=118292
7 years, 8 months ago (2013-07-02 12:21:02 UTC) #5
krit
On 2013/07/02 12:21:02, Christophe Dumez wrote: > Corresponding WebKit patch: > https://bugs.webkit.org/show_bug.cgi?id=118292 It is easier ...
7 years, 8 months ago (2013-07-02 19:28:30 UTC) #6
do-not-use
https://codereview.chromium.org/18328007/diff/12001/Source/core/svg/SVGSVGElement.cpp File Source/core/svg/SVGSVGElement.cpp (right): https://codereview.chromium.org/18328007/diff/12001/Source/core/svg/SVGSVGElement.cpp#newcode224 Source/core/svg/SVGSVGElement.cpp:224: bool SVGSVGElement::isSupportedAttribute(const QualifiedName& attrName) This is actually not needed, ...
7 years, 8 months ago (2013-07-02 19:47:30 UTC) #7
do-not-use
On 2013/07/02 19:47:30, Christophe Dumez wrote: > https://codereview.chromium.org/18328007/diff/12001/Source/core/svg/SVGSVGElement.cpp > File Source/core/svg/SVGSVGElement.cpp (right): > > https://codereview.chromium.org/18328007/diff/12001/Source/core/svg/SVGSVGElement.cpp#newcode224 ...
7 years, 8 months ago (2013-07-02 20:05:24 UTC) #8
do-not-use
On 2013/07/02 20:05:24, Christophe Dumez wrote: > On 2013/07/02 19:47:30, Christophe Dumez wrote: > > ...
7 years, 8 months ago (2013-07-02 20:05:43 UTC) #9
do-not-use
On 2013/07/02 19:28:30, krit wrote: > On 2013/07/02 12:21:02, Christophe Dumez wrote: > > Corresponding ...
7 years, 8 months ago (2013-07-02 20:21:37 UTC) #10
Stephen Chennney
lgtm
7 years, 8 months ago (2013-07-02 21:20:24 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/ch.dumez@sisa.samsung.com/18328007/21001
7 years, 8 months ago (2013-07-02 21:20:38 UTC) #12
commit-bot: I haz the power
7 years, 8 months ago (2013-07-02 23:40:11 UTC) #13
Message was sent while issue was closed.
Change committed as 153459

Powered by Google App Engine
This is Rietveld 408576698